Bug 32379 - pcmcia doesn't initialise, module dependency issue?
pcmcia doesn't initialise, module dependency issue?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-20 02:08 EST by Mark Henson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-20 14:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Henson 2001-03-20 02:08:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i586)


when installed on toshiba laptop, (430 cds and tecra 8000) pcmcia does not
work on boot.  modprobe fails to discover modules location, but manually
insmod'ing the required modules make everything work ok

Reproducible: Always
Steps to Reproduce:
1. install on toshiba laptop using "laptop" install method
2. reboot - after install
3. networking does not start on boot
	

Actual Results:  cardmgr not loaded, /etc/init.d/pcmcia start fails,
manually running card manager creates errors in /var/log/messages.

to fix insert pcmcia_core, i82365.o, ds.o,  smc91c92_cs.o then cardmgr will
start, modprobe smc91c92_cs fails and re-running depmod -a does not help

Expected Results:  modules loaded on boot and modprobe works correctly
Comment 1 Arjan van de Ven 2001-03-20 04:29:54 EST
Are these laptops equiped with cardbus (32 bit) sockets?
Comment 2 Arjan van de Ven 2001-03-20 06:08:38 EST
Could you please paste the output of lspci ?
That will show what kind of socket you have
Comment 3 Mark Henson 2001-03-21 04:42:59 EST
the tecra 8000 reports:

00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (AGP
disabled) (rev 03)
00:04.0 VGA compatible controller: Neomagic Corporation [MagicMedia 256AV] (rev 12)
00:05.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:05.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:05.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:05.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:09.0 Communication controller: Toshiba America Info Systems FIR Port (rev 23)
00:0b.0 CardBus bridge: Toshiba America Info Systems ToPIC97 (rev 05)
00:0b.1 CardBus bridge: Toshiba America Info Systems ToPIC97 (rev 05)

the tecra 430 cds is not a pci based system...  or at least lspci does not
report any detail simply fails
Comment 4 Arjan van de Ven 2001-03-21 05:01:31 EST
The LSPCI output shows that this is a cardbus machine.
You need 1) the latest kernel-pcmcia-cs package for that and
2) use the yenta_socket module instead of the i82365 module. 
#2 should be automatic if #1 is done,  but could you please check that
(with the "lsmod" command)
Comment 5 Mark Henson 2001-03-21 16:13:03 EST
thanks, the issue is:

after a laptop install the /etc/sysconfig/pcmcia file is incorrectly itialised:

/etc/sysconfig/pcmcia
PCMCIA=no
PCIC=
PCIC_OPTS=
CORE_OPTS

on tecra 8000 this file should read:

/etc/sysconfig/pcmcia
PCMCIA=yes
PCIC=yenta_socket
PCIC_OPTS=
CORE_OPTS=

on 430cds
/etc/sysconfig/pcmcia
PCMCIA=yes
PCIC=i82365
PCIC_OPTS=
CORE_OPTS=
Comment 6 Matt Wilson 2001-07-20 14:23:59 EDT
what does /sbin/probe return on these machine?
Comment 7 Brent Fox 2001-08-10 11:11:14 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.